{
  "type": "minecraft:crafting_shaped",
  "pattern": [
    "DSD",
    "KWK",
    "DRD"
  ],
  "key": {
    "D": {
      "item": "hexcasting:amethyst_dust"
    },
    "S": {
      "item": "minecraft:black_dye"
    },
    "K": {
      "item": "minecraft:potato"
    },
    "W": {
      "item": "minecraft:white_dye"
    },
    "R": {
      "item": "minecraft:red_dye"
    }
  },
  "result": {
    "item": "hexcasting:deutschland_colorizer"
  }
}